Magnetoculus Visualisation de champs en VR avec Oculus

Public Member Functions | Public Attributes | Properties | List of all members
Field Class Reference

## Public Member Functions
| Field (ColorScaler colorScaler)
void | GetData (string fileName)
Vector4[] | GetNeighbors (int i)
Vector4 | GetDataAt (int line)
float | GetEt (int line)
bool | IsNotOnTheEdge (int i)
Color | GetIntensityColor (float Et)
void | SetupMaterial (Material m)
float | GetIntensityAtPosition (Vector3 pos)

## Public Attributes
int | cubePerLineX
int | cubePerLineY
int | cubePerLineZ

## Properties
float | width`[get]`
float | height`[get]`
float | depth`[get]`
float | minEt`[get]`
float | maxEt`[get]`
int | dataCount`[get]`

## Detailed Description

Helper class to help hold and compute data and values related to loaded magnetic fields.

## Constructor & Destructor Documentation

## ◆ Field()

Field.Field | ( | ColorScaler | colorScaler | ) |

## Member Function Documentation

## ◆ GetData()

void Field.GetData | ( | string | fileName | ) |

## ◆ GetDataAt()

Vector4 Field.GetDataAt | ( | int | line | ) |

Get the field data at a certain line in the original file.

## ◆ GetEt()

float Field.GetEt | ( | int | line | ) |

Get the field value at a certain line in the original file.

## ◆ GetIntensityAtPosition()

float Field.GetIntensityAtPosition | ( | Vector3 | pos | ) |

Returns the intensity at a position given in local field coordinates.

## ◆ GetIntensityColor()

Color Field.GetIntensityColor | ( | float | Et | ) |

## ◆ GetNeighbors()

Vector4 [] Field.GetNeighbors | ( | int | i | ) |

Get the field value of the 8 neighbors of a vertex in this order : 0, dy, dz, dy + dz, dx, dx + dy, dx + dz, dx + dy + dz

## ◆ IsNotOnTheEdge()

bool Field.IsNotOnTheEdge | ( | int | i | ) |

Tells if a vertex at a certain line in the original file is on the edge of the mesh.

## ◆ SetupMaterial()

void Field.SetupMaterial | ( | Material | m | ) |

Updates a given material with the required shader uniforms.

## Member Data Documentation

## ◆ cubePerLineX

int Field.cubePerLineX

## ◆ cubePerLineY

int Field.cubePerLineY

## ◆ cubePerLineZ

int Field.cubePerLineZ

## Property Documentation

## ◆ dataCount

int Field.dataCount
| get

How many lines are

## ◆ depth

float Field.depth
| get

Z span of the field.

## ◆ height

float Field.height
| get

Y span of the field.

## ◆ maxEt

float Field.maxEt
| get

## ◆ minEt

float Field.minEt
| get

The minimum field value in the given file.

## ◆ width

float Field.width
| get

X span of the field.

The documentation for this class was generated from the following file:

- Assets/Scripts/Representation/Field.cs